ASGQuery
Keywords: uk.ac.ic.doc.automed.qproc.ASGQuery class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.qproc
Class ASGQuery

    java.lang.Object
      uk.ac.bbk.dcs.automed.qproc.iql.ASG
          uk.ac.ic.doc.automed.qproc.ASGQuery

All Implemented Interfaces:
  java.io.Serializable, PersistentObject

    public class ASGQuery

extends ASG

ASGQuery.java
Extends `ASG` class to introduce extra properties such as queryID and {@link QueryDescription)

Author:
  Duc M Le dmle@doc.ic.ac.uk
  Created on May 24, 2006
  Department of Computing, Imperial College
See Also:
  Serialized Form

Field Summary

Fields inherited from class uk.ac.bbk.dcs.automed.qproc.iql.ASG
`logger, root`

Constructor Summary
`protected` | `ASGQuery()`

Method Summary
`ASG` | `copyOfASG()` Creates and returns an exact copy of the ASG.
`PersistentKey` | `getKey()`
`java.util.Map` | `getPersistentAttributes()`
`QueryDescription` | `getQueryDescription()`
`java.lang.String` | `getQueryID()`
`static ASGQuery` | `newQueryInstance(Cell root)` Creates a new instance of ASGQuery
`static ASGQuery` | `newQueryInstance(java.lang.String q)` Creates a new instance of ASGQuery
`void` | `setQueryDescription(QueryDescription queryDesc)`
`void` | `setQueryID(java.lang.String queryID)`

Methods inherited from class uk.ac.bbk.dcs.automed.qproc.iql.ASG
`annotate, emptyBag, emptyCollection, emptyList, emptySet, equals, explore, explore, finalize, formattedString, formattedString, formattedString, fromASG, fromASG, fromASGCollection, fromASGCollection, fromASGList, fromASGList, fromASGTuple, fromASGTuple, getCollectionSize, getColType, getCreated, getDestroyed, isDAG, isDAG, listOfSchemes, listOfSchemes, print, print, print, print, println, println, root, toASGCollection, toASGList, toASGTuple, toString, toStringOBID, unify`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ASGQuery

    protected ASGQuery()

Method Detail

### newQueryInstance

    public static ASGQuery newQueryInstance(java.lang.String q)
                                     throws QueryFormatException

  Creates a new instance of ASGQuery

  Throws:
    `QueryFormatException`

### newQueryInstance

    public static ASGQuery newQueryInstance(Cell root)
                                     throws QueryFormatException

  Creates a new instance of ASGQuery

  Throws:
    `QueryFormatException`

### copyOfASG

    public ASG copyOfASG()

  Creates and returns an exact copy of the ASG.

  Overrides:
    `copyOfASG` in class `ASG`

### getQueryID

    public java.lang.String getQueryID()

### getQueryDescription

    public QueryDescription getQueryDescription()

### setQueryID

    public void setQueryID(java.lang.String queryID)

### setQueryDescription

    public void setQueryDescription(QueryDescription queryDesc)

### getKey

    public PersistentKey getKey()

  Specified by:
    `getKey` in interface `PersistentObject`
  Overrides:
    `getKey` in class `ASG`

### getPersistentAttributes

    public java.util.Map getPersistentAttributes()

  Specified by:
    `getPersistentAttributes` in interface `PersistentObject`
  Overrides:
    `getPersistentAttributes` in class `ASG`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD